#
# spec file for package python-sphinx-inline-tabs
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global skip_python2 1
Name:           python-sphinx-inline-tabs
Version:        2023.4.21
Release:        1.6
Summary:        Add inline tabbed content to your Sphinx documentation
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pradyunsg/sphinx-inline-tabs
Source:         https://files.pythonhosted.org/packages/source/s/sphinx_inline_tabs/sphinx_inline_tabs-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.8}
BuildRequires:  %{python_module flit-core}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 3
BuildArch:      noarch
%python_subpackages

%description
Add inline tabbed content to your Sphinx documentation.

%prep
%setup -q -n sphinx_inline_tabs-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/sphinx_inline_tabs*

%changelog
* Sun May 14 2023 Dirk Müller <dmueller@suse.com>
- update to 2023.4.21:
  * feat: allow tabs to be selected via URL
* Sat Jan  7 2023 Dirk Müller <dmueller@suse.com>
- update to 2022.1.2b11:
  * Move rich text label to a separate section
  * Drop reference to furo's development workflow
  * don't bother avoiding checking clicked-but-not-triggered-state
  * Add a plan text code block example
  * Improve design enabling more customization
* Fri Aug 27 2021 Michael Vetter <mvetter@suse.com>
- Initial package of sphinx-inline-tabs version 2021.8.17b10 for
  openSUSE
